const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Remote_application = sequelize.define('remote_application', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  local_institution_id: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '发起申请医院'},
  exam_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '检查表id'},
  sid: { type: Sequelize.INTEGER(32), allowNull: true, primaryKey: false, comment: 'sid'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: false,
});

Remote_application.sync({ force: false }).then(function() {});

export default Remote_application;