//截取字符串，多余的部分用...代替
export let setString = (str, len) => {
  let StrLen = 0
  let s = ''
  for (let i = 0; i < str.length; i++) {
    if (str.charCodeAt(i) > 128) {
      StrLen += 2
    } else {
      StrLen++
    }

    s += str.charAt(i)
    if (StrLen >= len) {
      return s + '...'
    }
  }

  return s
}

//格式化设置
export let OptionFormat = (GetOptions) => {
  let options = '{'
  for (let n = 0; n < GetOptions.length; n++) {
    options = options + '\'' + GetOptions[n].option_name + '\':\'' + GetOptions[n].option_value + '\''
    if (n < GetOptions.length - 1) {
      options = options + ','
    }
  }

  return JSON.parse(options + '}')
}

//数组去重
export let HovercUnique = (arr) => {
  let n = {}
  let r = []
  for (var i = 0; i < arr.length; i++) {
    if (!n[arr[i]]) {
      n[arr[i]] = true
      r.push(arr[i])
    }
  }

  return r
}

//获取json长度
export let getJsonLength = (jsonData) => {
  var arr = []
  for (var item in jsonData) {
    arr.push(jsonData[item])
  }

  return arr.length
}

export let getRandomInt = (mix, max) => {
  var num = Math.random() * (max - mix) + mix;
  num = parseInt(num, 10);
  return num;
}

export let getTimeSecond = (s) => {
  let date, year, month, day = new Date()
  if (s) {
    date = new Date(s)
  } else {
    date = new Date()
  }

  return Math.round(date.getTime() / 1000)

}

export let formatTime = (s) => {

  let getNum = (num) => {
    if (num > 9) {
      return num
    } else {
      return "0" + num
    }
  }

  let date, year, month, day
  if (s) {
    date = new Date(s)
  } else {
    date = new Date()
  }
  year = date.getFullYear()
  month = getNum(date.getMonth() + 1)
  day = getNum(date.getDate())
  return year + '' + month + '' + day + '';
}

export let formatSqlTime = (s) => {
  let getNum = (num) => {
    if (num > 9) {
      return num
    } else {
      return "0" + num
    }
  }
  let date, year, month, day, hour, minute, seconds
  if (s) {
    date = new Date(s * 1000)
  } else {
    date = new Date()
  }
  year = date.getFullYear()
  month = getNum(date.getMonth() + 1)
  day = getNum(date.getDate())
  hour = getNum(date.getHours()); //获取当前小时数(0-23)  
  minute = getNum(date.getMinutes()); //获取当前分钟数(0-59)  
  seconds = getNum(date.getSeconds()); //获取当前秒数(0-59)


  return `${year}-${month}-${day} ${hour}:${minute}:${seconds}`;
}

export let uuid = () => {
  function S4() {
    return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
  }
  return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4());
}

// export let uuid16 = () => {
//     function S4() {
//        return (((1+Math.random())*0x10000)|0).toString(16).substring(1);
//     }
//     return (S4()+ S4() + S4() + S4());
// }


export let uuid16 = () => {
  function S4() {
    return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
  }
  return ('1' + new Date().getTime().toString(16) + S4());
}
export const TOKEN_VALIDITY_TIME = 3600 * 24

const WeQrCodeObj = {
  "11000001": "pacsln",
  "11000002": "pacsln",
  "13000001": "pacsjl",
  "22100001": "pacsjs",
  "22100002": "pacsjs",
  "22100003": "pacsjs",
  "40000001": "pacscq",
  "6100001": "pacshb",
  "15200001": "pacshlj"
}

export const getWxQrCodeByHospital = (hid) => {
  return WeQrCodeObj[hid || '15200001'] || 'pacshlj'
}

Date.prototype.Format = function(fmt) { //author: meizz
  var o = {
    "M+": this.getMonth() + 1, //月份
    "d+": this.getDate(), //日
    "h+": this.getHours(), //小时
    "m+": this.getMinutes(), //分
    "s+": this.getSeconds(), //秒
    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
    "S": this.getMilliseconds() //毫秒
  };
  if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
  for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
  return fmt;
}
