const iconv = require("iconv-lite")
iconv.skipDecodeWarning = true;
/** 格式化dicom解析出来的数据的编码 */
const charsetFormat = (dataSet, charSet = 'GB18030') => {
  const originalString = dataSet.string;
  dataSet.string = (tag, index) => {
    let value = originalString.call(dataSet, tag, index);
    if (value != null && value != 'undefined') {
      let _value = iconv.decode(value, charSet);
      if (_value != null && _value != 'undefined') {
        return _value.replace(/['^']+/g, '')
      }
      return _value;
    } else {
      return value;
    }
  };
}
export default charsetFormat
